<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>gov.va.med.repos.lib</groupId>
		<version>3.1.1</version>
		<artifactId>repos-modules</artifactId>
		<relativePath>../parentModule/pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>hapi-ext</artifactId>
	<version>5.0.1-SNAPSHOT</version>
	<name>Repositories: HAPI Extension</name>
	<description>Extensions to HL7 API (HAPI) used by different parts of the application. </description>
	<packaging>jar</packaging>
    <!--  
    <scm>
        <url>https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_module_hapi-ext_main_stream_rws</url>
        <connection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_module_hapi-ext_main_stream_rws</connection>
        <developerConnection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_module_hapi-ext_main_stream_rws</developerConnection>
    </scm>
    -->
    
    <scm>
        <url>${env.SCM_URL}:${env.MODULE_HAPIEXT_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.MODULE_HAPIEXT_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.MODULE_HAPIEXT_RB_RWS}</developerConnection>
    </scm>
        
    <properties>
		<junit-ext.version>3.1.1</junit-ext.version>
		<common.version>5.0.0</common.version>
		<testharness.version>5.0.0</testharness.version>
	</properties>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			
					<plugin>
        				<groupId>org.apache.maven.plugins</groupId>
            			<artifactId>maven-scm-plugin</artifactId>
            			<version>1.9.1</version>
            			<dependencies>
            				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-provider-jazz</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-api</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
								<groupId>org.apache.maven.scm</groupId>
								<artifactId>maven-scm-client</artifactId>
								<version>1.9.1</version>
	      					</dependency>
            			</dependencies>
          			</plugin>
        
          			<plugin>
						<groupId>org.apache.maven.plugins</groupId>
        				<artifactId>maven-release-plugin</artifactId>
        				<version>2.5</version>
          			</plugin>	
          			
            <plugin>
                <groupId>com.fortify.ps.maven.plugin</groupId>
                <artifactId>sca-maven-plugin</artifactId>
                <version>4.30</version>
             </plugin>          			
			
		</plugins>		
	</build>
	<dependencies>
		<dependency>
				<groupId>gov.va.med.repos.lib</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
			</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
 		</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>testharness</artifactId>
			<version>${testharness.version}</version>
			<scope>test</scope>
		</dependency>
		<!-- <dependency>
			<groupId>ca.uhn.hapi.fhir</groupId>
			<artifactId>hapi-fhir-base</artifactId>
		</dependency> -->
		<dependency>
			<groupId>ca.uhn.hapi</groupId>
			<artifactId>hapi-base</artifactId>
		</dependency>
		<dependency>
			<groupId>ca.uhn.hapi</groupId>
			<artifactId>hapi-structures-v24</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>ca.uhn.hapi</groupId>
			<artifactId>hapi-structures-v231</artifactId>
		</dependency>
		<dependency>
			<groupId>ca.uhn.hapi</groupId>
			<artifactId>hapi-structures-v21</artifactId>
		</dependency> -->
		<dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
		</dependency>
		<dependency>
			<groupId>hdr</groupId>
			<artifactId>hdr-hl7</artifactId>
		</dependency>
	</dependencies>
</project>
